
# [@vue/compiler-sfc](https://github.com/vuejs/vue-next)

[![Knightly Build](https://github.com/knightlyjs/knightly/blob/main/res/badge.svg?raw=true)](https://github.com/knightlyjs/knightly) ![2021-05-30T01:02:13.715Z](https://img.shields.io/date/1622336534?color=eee&label=)

[**Unofficial**] Nightly build for [vuejs/vue-next@ecd97](https://github.com/vuejs/vue-next/tree/ecd97ee6e465ec5c841d58d96833fece4e899785), published automatically by [Knightly](https://github.com/knightlyjs/knightly).

| package (`@vue/compiler-sfc`) | `@knightly/vue__compiler-sfc`                                                                                                                   |
| ----------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| version (`3.1.0-beta.6*`)     | `3.1.0-knightly-master.202105300058`                                                                                                            |
| last commit                   | fix(runtime-dom/v-model): only set selectedIndex when the value changes (#3845)                                                                 |
| sha (`master`)                | `ecd97ee6e465ec5c841d58d96833fece4e899785`                                                                                                      |
| changes                       | [compare with last release](//github.com/vuejs/vue-next/compare/v3.1.0-knightly-master.202105300058...ecd97ee6e465ec5c841d58d96833fece4e899785) |
| build                         | 2021-05-30T01:02:13.715Z                                                                                                                        |

> [More PRs and branches builds](https://www.npmjs.com/package/@knightly/vue__compiler-sfc?activeTab=versions)

### Usage

To replace the package with nightly build:

via `npm`

```bash
npm i @vue/compiler-sfc@npm:@knightly/vue__compiler-sfc@master
```

or edit your `package.json`

```json
"dependencies": {
  "@vue/compiler-sfc": "npm:@knightly/vue__compiler-sfc@master"
}
```


## Packages

| Package                | Knightly                                                                                                                              |
| ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| `vue`                  | [`@knightly/vue`](https://www.npmjs.com/package/@knightly/vue/v/3.1.0-knightly-master.202105300058)                                   |
| `@vue/reactivity`      | [`@knightly/vue__reactivity`](https://www.npmjs.com/package/@knightly/vue__reactivity/v/3.1.0-knightly-master.202105300058)           |
| `@vue/shared`          | [`@knightly/vue__shared`](https://www.npmjs.com/package/@knightly/vue__shared/v/3.1.0-knightly-master.202105300058)                   |
| `@vue/compiler-core`   | [`@knightly/vue__compiler-core`](https://www.npmjs.com/package/@knightly/vue__compiler-core/v/3.1.0-knightly-master.202105300058)     |
| `@vue/compiler-dom`    | [`@knightly/vue__compiler-dom`](https://www.npmjs.com/package/@knightly/vue__compiler-dom/v/3.1.0-knightly-master.202105300058)       |
| `@vue/compiler-sfc`    | [`@knightly/vue__compiler-sfc`](https://www.npmjs.com/package/@knightly/vue__compiler-sfc/v/3.1.0-knightly-master.202105300058)       |
| `@vue/compiler-ssr`    | [`@knightly/vue__compiler-ssr`](https://www.npmjs.com/package/@knightly/vue__compiler-ssr/v/3.1.0-knightly-master.202105300058)       |
| `@vue/runtime-dom`     | [`@knightly/vue__runtime-dom`](https://www.npmjs.com/package/@knightly/vue__runtime-dom/v/3.1.0-knightly-master.202105300058)         |
| `@vue/runtime-core`    | [`@knightly/vue__runtime-core`](https://www.npmjs.com/package/@knightly/vue__runtime-core/v/3.1.0-knightly-master.202105300058)       |
| `@vue/server-renderer` | [`@knightly/vue__server-renderer`](https://www.npmjs.com/package/@knightly/vue__server-renderer/v/3.1.0-knightly-master.202105300058) |

<br>
Knightly v0.5.6
